Bug 2176529 - Display orientation broken for virtual machines, mouse cursor is considered to be in a different place
Summary: Display orientation broken for virtual machines, mouse cursor is considered t...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 38
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-08 15:01 UTC by Diego Maranhão
Modified: 2024-05-21 14:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-21 14:30:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter issues 2692 0 None opened Display orientation broken for virtual machines, mouse cursor is considered to be in a different place 2023-03-13 12:42:19 UTC

Description Diego Maranhão 2023-03-08 15:01:56 UTC
Description of problem:
When trying to change the desktop orientation, the "keep change" button does not work, and if I keep pushing the button, the gnome crashes.

Version-Release number of selected component (if applicable):
Fedora 38
Gnome 44.beta

How reproducible:
Easy to reproduce
Gonome-control-center -> Display -> orientation -> Chose another orientation -> Try keep the change

Steps to Reproduce:
1. Go to Gonome-control-center
2. Select display
3. Change orientation to any different one
4. Try to keep the change

Actual results:
I can't click the "Keep Changes" button, and if I insist, this crashes gnome.

Expected results:
The orientation chosen can be kept

Additional info:
No additional information needed

Comment 1 Kamil Páral 2023-03-13 12:42:19 UTC
Upstream report:
https://gitlab.gnome.org/GNOME/mutter/-/issues/2692

For the record, Diego was using VirtualBox.

Comment 2 Aoife Moloney 2024-05-07 15:59:07 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 Aoife Moloney 2024-05-21 14:30:09 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.